"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.dialogBoxStyle = exports.default = exports.Specs = exports.FontFamily = void 0;
exports.getPluralText = getPluralText;
exports.isEmpty = isEmpty;
exports.isPlatformIos = isPlatformIos;
exports.shadowObj = void 0;

var _reactNative = require("react-native");

var _config = _interopRequireDefault(require("./config"));

var _Dimen = require("./Dimen");

var _imageConst = require("./imageConst");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// import moment from 'moment';
const FontFamily = _config.default.fontFamily || 'Metropolis';
exports.FontFamily = FontFamily;
const Specs = {
  light: {
    fontFamily: `${FontFamily}-Light`
  },
  regular: {
    fontFamily: `${FontFamily}-Regular`
  },
  medium: {
    fontFamily: `${FontFamily}-Medium`
  },
  semiBold: {
    fontFamily: `${FontFamily}-SemiBold`
  },
  bold: {
    fontFamily: `${FontFamily}-Bold`
  }
};
exports.Specs = Specs;
const shadowObj = {
  shadowColor: 'rgba(0,0,0,0.4)',
  shadowOffset: {
    width: 3,
    height: 3
  },
  shadowOpacity: 0.3,
  shadowRadius: 6,
  elevation: 10
};
exports.shadowObj = shadowObj;
const dialogBoxStyle = {
  flexGrow: 0,
  maxHeight: _Dimen.DP.match_height / 2
}; // export function formattedDate(date = new Date(), format = 'DD MMM YY') {
//   return moment(date).format(format);
// }
// export function formattedPrice(val) {
//   let price = Number(val);
//   if (isNaN(price)) {
//     return val;
//   }
//   price = new Intl.NumberFormat('en-IN', {
//     style: 'currency',
//     currency: 'INR',
//     minimumFractionDigits: 0,
//     maximumFractionDigits: 2,
//   }).format(price);
//   return price;
// }

exports.dialogBoxStyle = dialogBoxStyle;

function isEmpty(obj) {
  if (!obj) {
    return true;
  }

  switch (obj.constructor) {
    case Object:
      return Object.keys(obj).length === 0;

    case Array:
      return obj.length === 0;

    default:
      return false;
  }
}

function isPlatformIos() {
  return _reactNative.Platform.OS === 'ios';
}

function getPluralText(number, text, isCaps, isNumberPrefix) {
  return text ? (isNumberPrefix ? number + ' ' : '') + (number > 1 ? isCaps ? `${text}S` : `${text}s` : text) : '';
} // export const EXPENSE_TYPE = [
//   {
//     type: 'Food',
//     asset: ImageConst.food,
//   },
//   {
//     type: 'Hotels',
//     asset: ImageConst.hotels,
//   },
//   {
//     type: 'Bills',
//     asset: ImageConst.bills,
//   },
//   {
//     type: 'Local travel',
//     asset: ImageConst.localTravel,
//   },
//   {
//     type: 'Outstation travel',
//     asset: ImageConst.outstationTravel,
//   },
//   {
//     type: 'Others',
//     asset: ImageConst.other,
//   },
// ];
// export function getExpenseTypeAsset(expenseType) {
//   switch (expenseType.toLowerCase()) {
//     case 'food':
//       return ImageConst.food;
//     case 'bills':
//       return ImageConst.bills;
//     case 'hotels':
//       return ImageConst.hotels;
//     case 'localtravel':
//       return ImageConst.localTravel;
//     case 'outstationtravel':
//       return ImageConst.outstationTravel;
//     default:
//       return ImageConst.other;
//   }
// }


var _default = {
  FontFamily,
  Specs,
  shadowObj,
  dialogBoxStyle,
  // formattedDate,
  // isEmpty,
  isPlatformIos,
  getPluralText
};
exports.default = _default;
//# sourceMappingURL=Utils.js.map